Is imagebuilder still broken? (Snapshots)

Ran git pull, feeds etc this morning to build the latest image for the RPi4 but it's brought up a whole host of warnings.

WARNING: Makefile 'package/feeds/packages/apache/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/telephony/asterisk-16.x/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/boinc/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/clamav/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/clamav/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/collectd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/collectd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/collectd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/collectd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/collectd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/czmq/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/ddns-scripts/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/ddns-scripts/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/ddns-scripts/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/ddns-scripts/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/ddns-scripts/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/ddns-scripts/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/domoticz/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/esniper/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/forked-daapd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/freeradius3/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/telephony/freeswitch/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/gammu/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/git/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/gnupg/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/hcxtools/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/hs20/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/https-dns-proxy/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/icecast/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/idevicerestore/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/ipfs-http-client/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/ipfs-http-client/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/telephony/kamailio-5.x/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/telephony/kamailio-5.x/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/telephony/kamailio-5.x/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/telephony/kamailio-5.x/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/leech/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/libmariadb/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/libnpupnp/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/libulfius/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/libulfius/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/measurement-kit/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/measurement-kit/Makefile' has a build dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/mocp/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/mpd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/mpd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/mpd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/netifyd/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/netopeer2/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/noddos/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/node/Makefile' has a dependency on 'libnghttp2', which does not exist
WARNING: Makefile 'package/feeds/packages/ooniprobe/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/openwisp-config/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/openwisp-config/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/openwisp-config/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/openwisp-config/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/pdns/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/pdns/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/perl-www-curl/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/php7/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/php7-pecl-http/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/python-curl/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/rtorrent/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/rtorrent/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/snort/Makefile' has a dependency on 'libnghttp2', which does not exist
WARNING: Makefile 'package/feeds/packages/strongswan/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/syslog-ng/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/transmission/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/transmission/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/transmission/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/transmission/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/transmission/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/transmission/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/uacme/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/xmlrpc-c/Makefile' has a dependency on 'libcurl', which does not exist
WARNING: Makefile 'package/feeds/packages/ykclient/Makefile' has a build dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/ykpers/Makefile' has a dependency on 'curl', which does not exist
WARNING: Makefile 'package/feeds/packages/yubico-pam/Makefile' has a dependency on 'curl', which does not exist

The following should fix those warnings:

$ ./scripts/feeds update -a && ./scripts/feeds install -f curl

1 Like